using System;
using System.Web.UI;
using System.Globalization;
using System.Threading;
using System.Resources;
public partial class Transactions_TA_UI_Transactions_ManualTimeEntryList : Base.BasePage
{
    #region VariableDeclaration
    ResourceManager rm;
    cls_Common objClassCommon = new cls_Common();
    #endregion
    #region PageLoad
    protected override void Page_Load(object sender, EventArgs e)
    {
        // session checking
        base.Page_Load(sender, e);
        // get the culture info to set the language
        CultureInfo ci;
        if (!Page.IsPostBack)
        {
            base.CheckPages(0);
            objClassCommon.menu("ManualEntries", "26");
        }
        string source_Language;
        source_Language = Convert.ToString(Session["Session_ActiveLanguage"]);
        rm = new ResourceManager(source_Language, System.Reflection.Assembly.Load("App_GlobalResources"));
        ci = Thread.CurrentThread.CurrentCulture;
        site.SiteMapProvider = Convert.ToString(Session["SiteMapProvider"]);
        // LoadStrings Function fills the Label from the Resource File
        LoadStrings(ci);
        if (Convert.ToString(Session["Demo"]) != string.Empty)
        {
            if (Convert.ToString(Session["Demo"]) == "Express")
            {
                Import.Visible = false;
                Export.Visible = false;
            }
        }
    }
    #endregion
    #region UserDefinedFunctions
    private void LoadStrings(CultureInfo ci)
    {
        lbl_HeaderManualEntry.Text = rm.GetString("UserGroups_ManualTimeEntry", ci);
        lbl_ManualTimeEntry.Text = rm.GetString("UserGroups_ManualTimeEntry", ci);
        lblDiscrepancy.Text = rm.GetString("Discrepancy_Entry", ci);
        lbl_ManualTimeEntryImport.Text = rm.GetString("Transaction_ManualTimeEntryImport", ci);
        lbl_ManualTimeEntryExport.Text = rm.GetString("Transaction_ManualTimeEntryExport", ci);
    }
    #endregion
}